#ifndef QAD_BLOCKVIEW_H
#define QAD_BLOCKVIEW_H

#include <QtCore/qplugin.h>
#include <QtDesigner/QtDesigner>

class QADBlockView
	: public QObject
	, public QDesignerCustomWidgetCollectionInterface {
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)
#if QT_VERSION >= 0x050000
	Q_PLUGIN_METADATA(IID "qad.blockview")
#endif

public:
	explicit QADBlockView(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface *> customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface *> m_widgets;
};

#endif // QAD_BLOCKVIEW_H
